Subject: Re: bug#8439: [PATCH] ffap.el -- detect paths with spaces (v2)

From: Yigal Hochberg <[email-masked]>
Date: Fri, 19 Oct 2012 07:15:00 -0400

Hi Jari, Eli:

A thank you note for Jari.

I asked Jari if he could improve ffap to match these Windows paths like
this:

c:/Program Files/Freescale/CW for MPC55xx and MPC56xx
2.10/PowerPC_EABI_Tools/Command_Line_Tools/CLT_EABI_PPC_Tools_Notes.txt
c:\Program Files\Freescale\CW for MPC55xx and MPC56xx
2.10\PowerPC_EABI_Tools\Command_Line_Tools\CLT_Usage_Notes.txt
c:/Program Files/Open Text Evaluation Media/Open Text Exceed 14 x86/Program
Files/Hummingbird/Connectivity/14.00/Default User/PerUser Settings.ini
c:\Program Files\Open Text Evaluation Media\Open Text Exceed 14 x86\Program
Files\Hummingbird\Connectivity\14.00\Default User\PerUser Settings.ini
c:/Program Files/Open Text Evaluation Media/Open Text Exceed 14 x86/Program
Files/Hummingbird/
c:\Program Files\Open Text Evaluation Media\Open Text Exceed 14 x86\Program
Files\Hummingbird\

>From a user view this is a very helpful and useful solution to get to these
files/dirs in one keystroke.

Thanks to Jari for the hard work.

I will report if I find issues.

Regards,

Yigal

On Fri, Oct 19, 2012 at 6:05 AM, jari <[email-masked]> wrote:

> On 2012-10-19 11:49, Eli Zaretskii wrote:
> | >
> | >   1. New variable ffap-paths-with-spaces controls if the behavior is
> in use.
> | >      By default it is set to "t" in Windows/Cygwin where spaces in
> paths
> | >      are encountered.
> |
> | GNU Coding Standards frown upon using "path" for anything except
> | PATH-style lists of directories.  Use "file name" or "leading
> | directories" instead.
> |
> | >   2. The "path skipping" is based on finding longest distance:
> | >
> | >      - from first "drive letter", "/" or "\"
> | >      - until last "/", "\" followed by last
> non-matching-char-not-usually-found-in-file-names
> |
> | What will this do to text such as the one below?
> |
> |  C:\emacs\bin\prog1.exe on Windows or /usr/bin/prog1 on Unix.
>
> User can enable/disable if spaces are taken into account. If enabled,
> the result is:
>
>   "C:\emacs\bin\prog1.exe on Windows or /usr/bin/prog1"
>
> If disabled, depending on cursor position:
>
>   "C:\emacs\bin\prog1.exe"
>   "/usr/bin/prog1"
>
> If you have strategiy to make it better, please suggest.
>
> | >   3. In Cygwin Emacs the paths are expected to be in
> "/cygdrive/<letter>/"
> | >      format.
> |
> | What about Posix-standard /foo/bar/baz, which is the usual case on
> | Cygwin?
>
> Only "<drive letter>:" is converted into "/cygdrive/<drive letter>" under
> Cygwin.
>
> Jari
>

-- 
Yigal